Bug 256992 - [New Port] security/certmgr: Automated certificate management using a CFSSL CA
Summary: [New Port] security/certmgr: Automated certificate management using a CFSSL CA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/cloudflare/certmgr
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-05 14:13 UTC by Robert Clausecker
Modified: 2021-07-14 08:51 UTC (History)
1 user (show)

See Also:


Attachments
security/certmgr: Automated certificate management using a CFSSL CA (16.78 KB, patch)
2021-07-05 14:13 UTC, Robert Clausecker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-07-05 14:13:47 UTC
Created attachment 226238 [details]
security/certmgr: Automated certificate management using a CFSSL CA

From the WantedPorts list (https://wiki.freebsd.org/WantedPorts).

Straightforward Go port.  Added a sample configuration file and fixed hard coded paths to respect PREFIX.  No rc.d script for now; I don't even know if that would be appropriate for this tool.

portlint and portclippy like the port.  Tested on arm64 FreeBSD 13.0-RELEASE with poudriere.

***
certmgr is a tool for managing certificates using CFSSL. It does the
following:

 - Ensures certificates are present.
 - Renews certificates before they expire.
 - Triggering a service reload or restart on certificate updates.

It operates on certificate specs, which are JSON files containing the
information needed to generate a certificate.

WWW: https://github.com/cloudflare/certmgr
Comment 1 Tobias C. Berner freebsd_committer 2021-07-14 08:50:33 UTC
Committed thanks.
Comment 2 commit-hook freebsd_committer 2021-07-14 08:51:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=291bf5665200779fb18d026c418de8a1b1633569

commit 291bf5665200779fb18d026c418de8a1b1633569
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-07-04 21:36:21 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-14 08:43:50 +0000

    security/certmgr: new port

    certmgr is a tool for managing certificates using CFSSL. It does the
    following:

     - Ensures certificates are present.
     - Renews certificates before they expire.
     - Triggering a service reload or restart on certificate updates.

    It operates on certificate specs, which are JSON files containing the
    information needed to generate a certificate.

    WWW: https://github.com/cloudflare/certmgr

    PR:             256992

 security/Makefile                                  |  1 +
 security/certmgr/Makefile (new)                    | 64 ++++++++++++++++++++++
 security/certmgr/distinfo (new)                    | 63 +++++++++++++++++++++
 .../certmgr/files/certmgr.yaml.sample.in (new)     | 47 ++++++++++++++++
 security/certmgr/files/patch-README.md (new)       | 18 ++++++
 .../files/patch-certmgr_cmd_genconfig.go (new)     | 15 +++++
 .../certmgr/files/patch-certmgr_cmd_root.go (new)  | 20 +++++++
 security/certmgr/files/pkg-message.in (new)        |  3 +
 security/certmgr/pkg-descr (new)                   | 11 ++++
 security/certmgr/pkg-plist (new)                   |  5 ++
 10 files changed, 247 insertions(+)